Help ME!

Discussion in 'iPod touch' started by Burgash, Oct 14, 2009.

  1. Burgash

    Burgash New Member

    Joined:
    Oct 14, 2009
    Messages:
    2
    Likes Received:
    0
    Device:
    iPod touch
    Hello All,

    Can someone please please help me..I got a replacement 1G ipod touch and a had previously run 2.2.1 and had been using a Macally Mic..It was great...When i got the new Ipod...I upgreated to 3.1.2 thinking it would work just as good..No Chance..So I have been trying to downgrade to 2.2.1 since..I go into the DU mode or whatever it is called..Shift+left click..And choose the 2.2.1 file..It starts to restore and just before it does..It gives me and error message...1600,1602,1604 or 20..Arg..I am going crazy..Please help me..i want my old software that i payed for bACK...

    Please Register or Log in to view images

  2. nanou

    nanou New Member

    Joined:
    Jul 27, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    are you running itunes 9 ? I dont think you can downgrade with itunes 9 and try to restart ur computer before restoring I had the same problem (I dont remember the error numb. but i fixed it after rebooting my pc and start over again)
  3. Burgash

    Burgash New Member

    Joined:
    Oct 14, 2009
    Messages:
    2
    Likes Received:
    0
    Device:
    iPod touch
    Hey..I tried with Itunes 9, 8.0 and 7.5...i never tired rebooting.>Could it be that simple? Humm..I will try now..Cheers..Burgash
  4. iptman

    iptman Active Member

    Joined:
    Jun 16, 2009
    Messages:
    1,047
    Likes Received:
    0
    Device:
    2G iPod touch
    I don't see why you need 2.2.1

Share This Page